//#####################################################################################################
//#### Many of these shaders have been improved by Preben Eriksen. For more information visit
//#### http://www.daily3d.com, or e-mail plemsoft@plemsoft.com.  If you want to use these
//#### shaders to create cross-platform 3D games, feel free to check out "GameGuru Loader" DLC
//#### for AppGameKit which enables you to load GameGuru levels and code your game from scratch.
//#### Visit www.appgamekit.com or the main Steam page here: http://store.steampowered.com/app/325180/
//#####################################################################################################

//#define LAPTOP // PE: Make everything faster for laptops, will also remove DOF,MB,SAO. Lower shadow, remove grass normals, distance improvements.

#define FASTROCKTEXTURE // PE: disable tri-planar rock for faster terrain. 
#define IMPROVEDISTANCE // PE: Improve distance terrain.
#define MEDIUMIMPROVEDISTANCE // PE: Improve medium distance terrain.
#define WATERREFLECTIONMEDIUM // PE: water reflection use medium.
//#define USEDISTBASEMAP // PE: Use basemap in distance faster.
#define LENSFLARE // PE: enable / disable lens flare.
#define DISABLELENSFLAREHALO // PE: diable the lens flare halo.
#define FXAA // PE: enable / disable FXAA
//#define CARTOON // PE: enable / disable cartoon (cel) shader.
//#define RETRODITHER // PE: make a retro dither look
//#define RETRODITHER64 // PE: make a retro C64 dither look.
#define DOF // PE: enable / disable depth of field.
#define MOTIONBLUR // PE: enable / disable motion blur.

//NOTE: Below settings can be used to finetune a level.
//If you dont know what the delow settings is, there no need to change them.

//#define SPECULARCAMERA
//#define SPECULARCAMERAINTENSITY (0.4)

#define TERRAINROCKSLOPE (0.5)
//#define NOCOLOREFFECT // PE: Disable color effect, like: screen going red when you die, or you have little health.

// HQLENSFLARE , lens flare use own render target, and you can set when it trigger.
// use TRIGGERLENSFLARE to define when to trigger lens flare , higher means it dont trigger as often. use values from 0.0 - 1.0

#define HQLENSFLARE
#define TRIGGERLENSFLARE (0.97,0.97,0.97)

//ADJUSTSHADOW:
//if a shadow do not go all the way up to a roof,
//or you see a small light line where there should be shadow, lower this value.
//If you see artifacts that looks like dots / stripes try setting this higher.
//0.00015f = move shadow up.
//0.00030f = default / normal works in most cases.
//0.00045f = you see some kind og artifacts on your models try this.
//It can be any number but should be between 0.00009f - 0.00045f
#define ADJUSTSHADOW (0.00030f)
#define BETTERSHADOWS // WIP PE: enable better shadow blur. shadow slider 60+
#define LINEARSHADOW // PE: Enable linear shadows.
#define SHADOWTEXELY (1024.0f)
#define SHADOWTEXELX (1024.0f)

// About LENSFLAREINTENSITY: 3.0 Normal intensity, 0.5 very low, 2.0 Low , 5.0 High intensity.
#define LENSFLAREINTENSITY (3.0)

// CARTOONIMPACT 4.2=Normal , can be any number from. 0 - ??
#define CARTOONIMPACT (4.2)

//#define ADDSKYBOXFOG // WIP PE: Add some fog to the skybox. keep fog colors below 94 if you use lens flare.
//#define DISABLELIGHTMAPNORMALS // PE: disable lightmap directional normalmap calculation.

#define TREEALPHACLIP (0.42)
#define TREENOILLUM // PE: no illumination in tree , not used in any default media.
//#define TREELOD (5000.0f) // WIP PE: not faster at the moment.

//#define DEBUGLEVEL // PE: Display polygons using wire. Only work on Highest.
//#define DEBUGSHADOW // PE: Use this to see the levels of cascade on shadow mapping
#define VERSION114 // PE: Enable 1.14 functions. NOTE: should be removed.
//#define PEROJECTLIGHT // PE: Change per object specular to per object light.
//#define USEWATERFORFLOOR //WIP PE: Water can be used as floor , more transparent and no ripples.
//#define BOOSTILLUM // PE: Add more light from the illumination texture.

// Below you can enable/disable the features you like in your LAPTOP setup.
// The more you disable the more speed you get.
#ifdef LAPTOP
#ifdef DOF
 #undef DOF
#endif
#ifdef MOTIONBLUR
 #undef MOTIONBLUR
#endif
#ifndef FASTROCKTEXTURE
 #define FASTROCKTEXTURE
#endif
#ifdef WATERREFLECTIONMEDIUM
 #undef WATERREFLECTIONMEDIUM
#endif
#ifdef MEDIUMIMPROVEDISTANCE
 #undef MEDIUMIMPROVEDISTANCE
#endif
//#ifdef FXAA
// #undef FXAA
//#endif
#ifdef BETTERSHADOWS
 #undef BETTERSHADOWS  
#endif
#ifndef REMOVEGRASSNORMALS
 #define REMOVEGRASSNORMALS
#endif
#ifdef IMPROVEDISTANCE
 #undef IMPROVEDISTANCE
#endif
#ifndef NOSAO
 #define NOSAO
#endif
#endif
