string Description = "Effect Skydome Shader";

float4x4 WorldViewProj : WorldViewProjection;
float4x4 World : World;
float time : time;
float sintime : SinTime;

float directionX
<
	string UIWidget = "slider";
	float UIMax = 3.0;
	float UIMin = -3.0;
	float UIStep = 0.01;
> = 0.003;

float directionY
<
	string UIWidget = "slider";
	float UIMax = 3.0;
	float UIMin = -3.0;
	float UIStep = 0.01;
> = -0.000;

texture BaseTex : DIFFUSE
<
	string ResourceName = "";
	string ResourceType = "2D";
>;

sampler BaseSamp = sampler_state
{
	Texture = <BaseTex>;
	MinFilter = Linear;
	MagFilter = Linear;
	MipFilter = Linear;
	AddressU = Wrap;
	AddressV = Wrap;
};

struct app_in
{
	float4 pos : POSITION;
	float2 uv : TEXCOORD0;
};

struct vs_out
{
	float4 pos : POSITION;
	float2 uv : TEXCOORD0;
};

vs_out DefaultVertexShader( app_in IN )
{
	vs_out OUT;
	OUT.pos = mul( IN.pos, WorldViewProj );
	OUT.uv = IN.uv + float2(directionX,directionY)*time;
	return OUT;
}

float4 DefaultPixelShader( vs_out IN ) : COLOR
{
	return tex2D(BaseSamp,IN.uv);
}

technique All
{
	pass p0
	{
		VertexShader = compile vs_2_0 DefaultVertexShader( );
		PixelShader = compile ps_2_0 DefaultPixelShader( );
		CullMode = NONE;      
		Alphatestenable = FALSE;
		Alphablendenable = TRUE;
		
	}
}
